<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Перенаправление &amp; '.$_SERVER['HTTP_HOST'];
include_once 'sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

if(!isset($_GET['go']) || (mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `id` = '".intval($_GET['go'])."'"),0)==0 && !ereg('^https?://',@base64_decode($_GET['go'])))){
	header("Location: /index.php");
	exit;
	}

if(ereg('^(ht|f)tps?://',base64_decode($_GET['go']))){
echo 'Вы покидаете сайт <a href="http://'.$_SERVER['HTTP_HOST'].'">'.$_SERVER['HTTP_HOST'].'</a> по внешней ссылке '.base64_decode($_GET['go']).'<br/>';
echo 'Администрация <a href="http://'.$_SERVER['HTTP_HOST'].'">'.$_SERVER['HTTP_HOST'].'</a> не несет ответственности за содержимое сторонних сайтов.<br/>';
echo 'Ссылка на внешний сайт: <a href="http://'.base64_decode($_GET['go']).'">'.base64_decode($_GET['go']).'</a><br/>';
echo 'Если Вы передумали, нажмите: <a href="http://'.$_SERVER['HTTP_HOST'].'">Отмена</a><br/>';

echo '<div class="err">Внимание!</div>';
echo 'Настоятельно рекомендуем вам не указывать никаких своих данных на сторонних сайтах (особенно e-mail, ник и пароль).<br/>';
echo 'Имейте в виду, что мошенники могут подделать внешний вид страниц <a href="http://'.$_SERVER['HTTP_HOST'].'">'.$_SERVER['HTTP_HOST'].'</a> (например, страницу для Входа). Если вы введёте свой ник и пароль на такой поддельной странице, то они станут известны мошенникам.<br/>';
echo 'Кроме того, сайт '.base64_decode($_GET['go']).' может содержать вирусы, трояны, sms-алармы(программы отправляющие sms без вашего ведома на платные номера) и другие вредоносные программы.<br/>';
echo 'Если у Вас нет серьезных оснований доверять этому сайту, лучше всего на него не переходить, даже если Вы якобы получили эту ссылку от одного из Ваших друзей.<br/>';
}else{
	$rekl=mysql_fetch_array(mysql_query("SELECT * FROM `rekl` WHERE `id` = '".intval($_GET['go'])."'"));
	mysql_query("UPDATE `rekl` SET `count` = '".($rekl['count']+1)."' WHERE `id` = '".$rekl['id']."'");
	header("Refresh: 3; url=".$rekl['link']);

echo 'За содержание рекламируемого ресурса администрация сайта '.$_SERVER['HTTP_HOST'].' ответственности не несёт.<br/>';
echo '<b><a href="'.$rekl['link'].'">Переход</a></b><br/>';
echo 'Переходов: '.$rekl['count'].'<br/>';
}

echo '</div>';
include_once 'sys/inc/tfoot.php';
?>